## org.eclipse.datatools.sqltools.sqlbuilder.input
Interface ISQLBuilderEditorInput

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorInput, ISQLEditorInput

All Known Implementing Classes:
  SQLBuilderEditorInput, SQLBuilderFileEditorInput, SQLBuilderStorageEditorInput

    public interface ISQLBuilderEditorInput

extends ISQLEditorInput

This interface is a mix-in interface to be used with an `IEditorInput` to add additional information to the editor input for the SQL Builder.

Method Summary
`ISQLEditorConnectionInfo` `getConnectionInfo()` Gets the `ISQLEditorConnectionInfo` associated with this input.
`ISQLBuilderEditorInputUsageOptions` `getInputUsageOptions()` Gets the usage options of the editor input.
`IOmitSchemaInfo` `getOmitSchemaInfo()` Gets information about whether or not to omit the default schema name from SQL generated in the SQL Builder.
`java.lang.String` `getSQL()` Gets the SQL Statement for this input - the contents of the input.
`IWindowStateInfo` `getWindowStateInfo()` Gets the window state information which stores the control states of the SQL Query Builder.
`void` `setConnectionInfo(ISQLEditorConnectionInfo connInfo)` Sets the `ISQLEditorConnectionInfo` associated with this input to the given object.
`void` `setInputUsageOptions(ISQLBuilderEditorInputUsageOptions options)` Sets the usage options of the editor input.
`void` `setOmitSchemaInfo(IOmitSchemaInfo omitSchemaInfo)` Sets information about whether or not to omit the default schema name from SQL generated in the SQL Builder.
`void` `setWindowStateInfo(IWindowStateInfo windowStateInfo)` Sets the window state information.

Methods inherited from interface org.eclipse.datatools.sqltools.sqleditor.ISQLEditorInput
`getId, isConnectionRequired`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getSQL

    java.lang.String getSQL()

  Gets the SQL Statement for this input - the contents of the input.

  Returns:
    String the SQL Statement for this input.

### getOmitSchemaInfo

    IOmitSchemaInfo getOmitSchemaInfo()

  Gets information about whether or not to omit the default schema name from SQL generated in the SQL Builder. return IOmitSchemaInfo the `IOmitSchemaInfo` belong to this `ISQLBuilderEditorInput`.

### setOmitSchemaInfo

    void setOmitSchemaInfo(IOmitSchemaInfo omitSchemaInfo)

  Sets information about whether or not to omit the default schema name from SQL generated in the SQL Builder.

  Parameters:
    `IOmitSchemaInfo` - the `IOmitSchemaInfo` to be set.

### getConnectionInfo

    ISQLEditorConnectionInfo getConnectionInfo()

  Gets the `ISQLEditorConnectionInfo` associated with this input.

  Specified by:
    `getConnectionInfo` in interface `ISQLEditorInput`
  Returns:
    the current `ISQLEditorConnectionInfo` object

### setConnectionInfo

    void setConnectionInfo(ISQLEditorConnectionInfo connInfo)

  Sets the `ISQLEditorConnectionInfo` associated with this input to the given object.

  Specified by:
    `setConnectionInfo` in interface `ISQLEditorInput`
  Parameters:
    `connInfo` - the `ISQLEditorConnectionInfo` object to set

### getWindowStateInfo

    IWindowStateInfo getWindowStateInfo()

  Gets the window state information which stores the control states of the SQL Query Builder.

### setWindowStateInfo

    void setWindowStateInfo(IWindowStateInfo windowStateInfo)

  Sets the window state information.

  Parameters:
    `IOmitSchemaInfo` - the `IOmitSchemaInfo` to be set.

### getInputUsageOptions

    ISQLBuilderEditorInputUsageOptions getInputUsageOptions()

  Gets the usage options of the editor input. The options may be configured independent of the existence of specific input info.

### setInputUsageOptions

    void setInputUsageOptions(ISQLBuilderEditorInputUsageOptions options)

  Sets the usage options of the editor input.

  Parameters:
    `ISQLBuilderEditorInputUsageOptions` - the `ISQLBuilderEditorInputUsageOptions` to be set.